Subject: [Rserpool] Heartbeat question (ASAP draft, section 2.2.7)

From: Phillip Conrad <[email-masked]>
Date: Fri, 04 Apr 2003 15:46:48 -0500

I have a question about the hearbeat between an ENRP server and a PE.

The ASAP draft says:

>2.2.7 ENDPOINT_KEEP_ALIVE message
... (diagram omitted)
>   This message is sent to a PE by the ENRP server has a "health" check.
>   If the transport level Heart Beat mechanism is insufficient (usually
>   this means that time outs are set for too long or heartbeats are not
>   frequent enough), this adds heartbeat messages with the goal of
>   determining health status in a more timely fashion.

So I conclude that the purpose of the ASAP level heartbeat is to be a backup
when the transport layer heartbeat can't do the job.

But from what I read in RFC2960 (see excerpts below) it seems as if the upper layer (in this case, ASAP) has a lot of control over the heartbeat.   

So, my question is this: what is the circumstance in which the mechanisms already in RFC2960 aren't sufficient to get the job done?  

We have restricted PE<->NS communication to SCTP, so the answer "what if the transport isn't SCTP" doesn't apply here.    The ASAP draft says that "time outs are too long, or the heartbeat interval isn't short enough".  But neither of those makes sense to me.  If the if timeouts are too long, then sending a data message over the transport connection isn't going to help.. it will experience the same timeout.   And if the heartbeat interval is too short, the capabilities specified in RFC2960 should allow the ASAP entity to change it to the interval that it needs.  

So what am I missing here?

Thanks,
Phill

(RFC2960, around p. 92, 93...)

>The upper layer can optionally initiate the following functions: 
>
>A) Disable heartbeat on a specific destination transport address of a
>      given association,
>
>   B) Change the HB.interval,
>
>   C) Re-enable heartbeat on a specific destination transport address of
>      a given association, and,
>
>   D) Request an on-demand HEARTBEAT on a specific destination transport
>      address of a given association.

Note: There are some mentions of heartbeat in the implementors guide, but I didn't see how any of them would change the capabilities in the list above.

_______________________________________________
rserpool mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rserpool